---
lang: en
title: 'API docs: context.interceptorbindingoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.interceptorbindingoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InterceptorBindingOptions](./context.interceptorbindingoptions.md)

## InterceptorBindingOptions interface

Options for an interceptor binding

**Signature:**

```typescript
export interface InterceptorBindingOptions extends BindingFromClassOptions 
```
**Extends:** [BindingFromClassOptions](./context.bindingfromclassoptions.md)

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [global?](./context.interceptorbindingoptions.global.md) |  | boolean | _(Optional)_ Global or local interceptor |
|  [group?](./context.interceptorbindingoptions.group.md) |  | string | _(Optional)_ Group name for a global interceptor |
|  [source?](./context.interceptorbindingoptions.source.md) |  | string \| string\[\] | _(Optional)_ Source filter for a global interceptor |


